Re-check a publisher catalog
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publisher": {
"domain": "<string>",
"lastSyncedAt": "<string>",
"formatCatalogSyncedAt": "<string>",
"properties": [
{
"propertyKey": "<string>",
"propertyId": "<string>",
"propertyType": "<string>",
"name": "<string>",
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"tags": [
"<string>"
],
"authorization": {
"grain": "domain"
},
"declaredBySellerAt": "<string>",
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"collections": [
{
"collectionId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"formats": [
{
"formatKey": "<string>",
"formatOptionId": "<string>",
"displayName": "<string>",
"formatKind": "image",
"params": {},
"appliesToPropertyIds": [
"<string>"
],
"appliesToPropertyTags": [
"<string>"
],
"applicablePropertyKeys": [
"<string>"
],
"applicablePropertyKeysTruncated": true,
"appliesToAllProperties": true,
"sellerPreference": "<string>",
"experimental": true,
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"propertyCount": 4503599627370495,
"collectionCount": 4503599627370495,
"formatCount": 4503599627370495
},
"sync": {
"pushedToManagedAgent": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Re-check a publisher catalog
Re-read one storefront-owned publisher’s live adagents.json and AAO-selected format catalog, then return the refreshed roster projection and actionable authorization, identity, and format reconciliation states.
POST
/
property-roster
/
publishers
/
{domain}
/
refresh
Re-check a publisher catalog
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/property-roster/publishers/{domain}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publisher": {
"domain": "<string>",
"lastSyncedAt": "<string>",
"formatCatalogSyncedAt": "<string>",
"properties": [
{
"propertyKey": "<string>",
"propertyId": "<string>",
"propertyType": "<string>",
"name": "<string>",
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"tags": [
"<string>"
],
"authorization": {
"grain": "domain"
},
"declaredBySellerAt": "<string>",
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"collections": [
{
"collectionId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"formats": [
{
"formatKey": "<string>",
"formatOptionId": "<string>",
"displayName": "<string>",
"formatKind": "image",
"params": {},
"appliesToPropertyIds": [
"<string>"
],
"appliesToPropertyTags": [
"<string>"
],
"applicablePropertyKeys": [
"<string>"
],
"applicablePropertyKeysTruncated": true,
"appliesToAllProperties": true,
"sellerPreference": "<string>",
"experimental": true,
"firstSeenAt": "<string>",
"lastSeenAt": "<string>"
}
],
"propertyCount": 4503599627370495,
"collectionCount": 4503599627370495,
"formatCount": 4503599627370495
},
"sync": {
"pushedToManagedAgent": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
A publisher domain already present on the authenticated seller storefront.
Minimum string length:
1Response
Re-check a publisher catalog
⌘I